apiVersion: v1
kind: Service
metadata:
  name: energydatacollectionservice
  namespace: power4all
spec:
  selector:
    app: energydatacollectionservice
  ports:
    - protocol: TCP
      port: 80
      targetPort: 80